package com.fractalExplorer.binds

//todo action deveria ser uma classe abstrata????

enum class ActionName {
    CAMERA_ZOOM_UP,
    CAMERA_ZOOM_DOWN,
    CAMERA_PAN_LEFT,
    CAMERA_PAN_RIGHT,
    CAMERA_TILT_UP,
    CAMERA_TILT_DOWN,
    CAMERA_ROTATION_INC,
    CAMERA_ROTATION_DEC,

    PALETTE_DENSITY_DEC,
    PALETTE_DENSITY_INC,
    PALETTE_MOVEMENT_TOGGLE,
    PALETTE_SPEED_INC,
    PALETTE_SPEED_DEC,
    PALETTE_POSITION_OFFSET_INC,
    PALETTE_POSITION_OFFSET_DEC,
    PALETTE_BIND_INC,
    PALETTE_BIND_DEC,
    PALETTE_NORMALIZATION_TOGGLE,

    DEBUG_GENERIC_INC,
    DEBUG_GENERIC_DEC,

    WINDOW_FULLSCREEN_TOGGLE,
    WINDOW_FULLSCREEN_DISABLE,

    NEW_WINDOW_JULIA_SET,
    NEW_WINDOW_PALLETE,

    WAYPOINT_INC,
    WAYPOINT_DEC

}

